                     Computer  Science 481/681
                        Quiz 5  -         Name ________________________

1. The router advertisement protocol

   a. Uses ICMP                      b. Uses IP header options

   c. Uses both                      d. Uses neither

2. The primary purpose of the router advertisement protocol
   is to

   a. Provide a way for routers on   b. Provide a way for routers
      a LAN to advertise their          to make their presence known
      presence to clients on the        across AS boundaries.
      same LAN.

   c. Provide a way for clients to   d. All of the above
      request information on how
      to build a source route to
      a distant client.

3. Advantages of the use of dynamic routing protocols include
   the ability to respond quickly to changes in traffic and topology
   We also identified some potential disadvantages.. identify one
   of them.




4. From the Internet's point of view which of the following is
   best characterized as an Autonomous System (AS)

   a. All systems on the CS dept      b. All systems in the CS dept
      subnet 130.127.70

   c. All Clemson University systems  d. None of the above
      on the network 130.127

5. Interior gateway protocols (IGP's) are used for routing

   a. Within end user autonomous      b. Within backbone autonomous
      systems.                           systems.

   c. Between end user and backbone   d. Both a. and b.
      systems.


6. Select the appropriate protocol family for each of the
   following dynamic routing protocols. (Some answers may
   be used more than once... some not at all).

   Specific                          Protocol
   Protocol                          Classification

   ___ a. RIP                         1. IGP

   ___ b. OSPF                        2. EGP

   ___ c. EGP                         3. BGP


7. RIP family protocols react to

   a. lost links faster than          b. both lost links and newly
      new activations of good routes     activated good routes equally slowly

   c. lost links slowly but           d. react equally rapidly to both
      learn good routes fast.            lost links and new good routes.


8. RIP routing data is transported by

   a. ICMP                            b. TCP

   c. UDP                             d. IP header options

9. Two approaches used by RIP to address its inherent limitations
   are called "split horizon" and "poisoned reverse". For each select
   the best description..

   ___ a. Split horizon             1. A RIP router should cease sending
                                       routing updates when any link fails
   ___ b. Poisoned reverse          2. A RIP router should advertised
                                       failed routes with a cost of 16
                                    3. A RIP router should not advertise
                                       routes to the router from which it
                                       learned them.
                                    4. A RIP router should advertise only
                                       those routes not passing through itself.

10. During RIP packet exchanges a RIP router can expect to receive
    routing update packets (NOT INDIRECTLY DELIVERED INFORMATION) from:

    a. All other routers in its     b. All other directly attached
       AS                              routers

    c. All other routers in the     d. All other routers in the internet
       Internet.                       that run RIP.



